plugins {
    id 'com.android.library'
}

android {

    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }


    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation  rootProject.ext.dependencies["appcompat"]
    implementation  rootProject.ext.dependencies["material"]
    implementation  rootProject.ext.dependencies["annotation"]
    implementation  rootProject.ext.dependencies["eventbus"]
    implementation project(path: ':lib_base')
    //AMPE
    implementation project(path: ':lib_ampe')
    implementation  rootProject.ext.dependencies["gson"]
    implementation project(path: ':lib_idcard:lib_idcard_base')
    //新中新身份证阅读器
    implementation project(path: ':lib_idcard:lib_xzx_readcard')
    //ER301身份证阅读器
    implementation project(path: ':lib_idcard:lib_er301_readcard')
    //NFC在线身份证阅读器
    implementation project(path: ':lib_idcard:lib_nfc_readcard')
    //天波身份证阅读器
    implementation project(path: ':lib_idcard:lib_tb_readcard')
    //东信多合一身份证
    implementation project(path: ':lib_idcard:lib_dx_multi_readcard')



}